Subject: bug#55362: 29.0.50; Super key no longer works on Wayland

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 11 May 2022 15:04:25 +0200

Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> That patch (and the old code) is incorrect, and the code before its
> removal was another example of the PGTK port haphazardly copying code
> from xterm.c to do stuff GDK is supposed to do by itself.  Mod4 is a
> real modifier and can correspond to any (number) of virtual modifiers,
> which might or might not contain Super.

But this seems to affect many people who had a working Super key before,
so I think we should re-fix this on the Emacs side.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no